BASE:E( "++ Welcome To ++")
BASE:E( "++ The Fraternity ++")
Settings = {}
Settings.JSON = loadfile("Scripts\\JSON.lua")()
Settings.Beacons = {} --store beacons
Settings.CurrentMissionMarkers = {} --store current mission markers (empty at startup)
Settings.CompletedMarkersJsonFile = "C:\\Data\\Completed_Markers.json"
Settings.GMapsFile = "C:\\Data\\FARPHollywood_Active_Units.json"
Settings.OnlineUsersFile = "C:\\Data\\HollywoodOnlineUsers.json"
Settings.Version = "1.0.0"
Settings.MissionName = "FARP Hollywood"
Settings.FullMissionTime = 28800 --in seconds
Settings.ClientSET = SET_CLIENT:New():FilterCoalitions('blue'):FilterActive():FilterStart()

--SETS
Settings.AllUnitsSet = SET_UNIT:New():FilterActive():FilterStart()

Settings.clientTable = {
  --end person spots
  "FARP Hollywood UH-1H Huey Enfield 1-1",
  "FARP Hollywood UH-1H Huey Enfield 2-1",
  "FARP Hollywood UH-1H Huey Enfield 3-1",
  "FARP Hollywood UH-1H Huey Enfield 4-1",
  "FARP Hollywood UH-1H Huey Springfield 1-1",
  "FARP Hollywood UH-1H Huey Springfield 2-1",
  "FARP Hollywood UH-1H Huey Springfield 3-1",
  "FARP Hollywood UH-1H Huey Springfield 4-1",
  "FARP Hollywood Mi-8MTV2 1-1",
  "FARP Hollywood Mi-8MTV2 2-1",
  "FARP Hollywood Mi-8MTV2 3-1",
  "FARP Hollywood Mi-8MTV2 4-1",
  "FARP Hollywood Mi-8MTV2 1-2",
  "FARP Hollywood Mi-8MTV2 2-2",
  "FARP Hollywood Mi-8MTV2 3-2",
  "FARP Hollywood Mi-8MTV2 4-2",
  "FARP Hollywood Ka-50 1-1",
  "FARP Hollywood Ka-50 2-1",
  "FARP Hollywood Ka-50 3-1",
  "FARP Hollywood Ka-50 4-1",
  "FARP Hollywood Ka-50 1-2",
  "FARP Hollywood Ka-50 2-2",
  "FARP Hollywood Ka-50 3-2",
  "FARP Hollywood Ka-50 4-2",
  "FARP Hollywood SA342 Misral 1-1",
  "FARP Hollywood SA342 Misral 2-1",
  "FARP Hollywood SA342L 1-1",
  "FARP Hollywood SA342L 2-1",
  "FARP Hollywood SA342M 3-1",
  "FARP Hollywood SA342M 4-1",
  "FARP Hollywood SA342 Minigun 1",
  "FARP Hollywood SA342 Minigun 2",
  "FARP Hollywood Mi24P Hind-1",
  "FARP Hollywood Mi24P Hind-2",
  "FARP Hollywood Mi24P Hind-3",
  "FARP Hollywood Mi24P Hind-4",
}
--list of clients that can transport troops/logistics
Settings.clientTransportsTable = {
  "FARP Hollywood UH-1H Huey Enfield 1-1",
  "FARP Hollywood UH-1H Huey Enfield 2-1",
  "FARP Hollywood UH-1H Huey Enfield 3-1",
  "FARP Hollywood UH-1H Huey Enfield 4-1",
  "FARP Hollywood UH-1H Huey Springfield 1-1",
  "FARP Hollywood UH-1H Huey Springfield 2-1",
  "FARP Hollywood UH-1H Huey Springfield 3-1",
  "FARP Hollywood UH-1H Huey Springfield 4-1",
  "FARP Hollywood Mi-8MTV2 1-1",
  "FARP Hollywood Mi-8MTV2 2-1",
  "FARP Hollywood Mi-8MTV2 3-1",
  "FARP Hollywood Mi-8MTV2 4-1",
  "FARP Hollywood Mi-8MTV2 1-2",
  "FARP Hollywood Mi-8MTV2 2-2",
  "FARP Hollywood Mi-8MTV2 3-2",
  "FARP Hollywood Mi-8MTV2 4-2",
  --Reserved
  "[RESERVED] FARP Hollywood UH-1H Huey 01",
}
--list of attack only clients ka50,gazell
Settings.clientAttackTable = {
  "FARP Hollywood Ka-50 1-1",
  "FARP Hollywood Ka-50 2-1",
  "FARP Hollywood Ka-50 3-1",
  "FARP Hollywood Ka-50 4-1",
  "FARP Hollywood Ka-50 1-2",
  "FARP Hollywood Ka-50 2-2",
  "FARP Hollywood Ka-50 3-2",
  "FARP Hollywood Ka-50 4-2",
  "FARP Hollywood SA342 Misral 1-1",
  "FARP Hollywood SA342 Misral 2-1",
  "FARP Hollywood SA342L 1-1",
  "FARP Hollywood SA342L 2-1",
  "FARP Hollywood SA342M 3-1",
  "FARP Hollywood SA342M 4-1",
  "FARP Hollywood SA342 Minigun 1",
  "FARP Hollywood SA342 Minigun 2",
  "FARP Hollywood Mi24P Hind-1",
  "FARP Hollywood Mi24P Hind-2",
  "FARP Hollywood Mi24P Hind-3",
  "FARP Hollywood Mi24P Hind-4",
  
  --Adding Transport to this option
  "FARP Hollywood UH-1H Huey Enfield 1-1",
  "FARP Hollywood UH-1H Huey Enfield 2-1",
  "FARP Hollywood UH-1H Huey Enfield 3-1",
  "FARP Hollywood UH-1H Huey Enfield 4-1",
  "FARP Hollywood UH-1H Huey Springfield 1-1",
  "FARP Hollywood UH-1H Huey Springfield 2-1",
  "FARP Hollywood UH-1H Huey Springfield 3-1",
  "FARP Hollywood UH-1H Huey Springfield 4-1",
  "FARP Hollywood Mi-8MTV2 1-1",
  "FARP Hollywood Mi-8MTV2 2-1",
  "FARP Hollywood Mi-8MTV2 3-1",
  "FARP Hollywood Mi-8MTV2 4-1",
  "FARP Hollywood Mi-8MTV2 1-2",
  "FARP Hollywood Mi-8MTV2 2-2",
  "FARP Hollywood Mi-8MTV2 3-2",
  "FARP Hollywood Mi-8MTV2 4-2",
}


--FARP Hollywood
Settings.FARPHollywood_CSAR_Zones = {
  "CSAR_001",
  "CSAR_002",
  "CSAR_003",
  "CSAR_004",
  "CSAR_005",
  "CSAR_006",
  "CSAR_007",
  "CSAR_008",
  "CSAR_009",
  "CSAR_010",
  "CSAR_011",
  "CSAR_012",
  "CSAR_013",
  "CSAR_014",
  "CSAR_015",
  "CSAR_016",
  "CSAR_017",
  "CSAR_018",
  "CSAR_019",
  "CSAR_020",
  "CSAR_021",
  "CSAR_022",
  "CSAR_023",
  "CSAR_024",
  "CSAR_025",

}

--FARP Hollywood Safezone Area
Settings.SafeZone = ZONE_POLYGON:New( "Safe Zone", GROUP:FindByName("Safe Zone") )

--areas no ambush
Settings.NoThreatsZones = {
  Settings.SafeZone, 
  ZONE_POLYGON:New( "Safe Zone", GROUP:FindByName("Safe Zone") ),
  ZONE_POLYGON:New( "Safe Zone 2", GROUP:FindByName("Safe Zone 2") ),
  ZONE_POLYGON:New( "Sea Zone 1", GROUP:FindByName("Sea Zone 1") ),
  ZONE:New("FARP London Area"),
  ZONE:New("FARP Dallas Area"),
  ZONE:New("Kobuleti Zone"),
  ZONE:New("Senaki Zone"),
}


--LZ where troops can be dropped off.
Settings.FARPHollywood_Allied_LZs = {
  ZONE:New("FARPHollywood"),
  ZONE:New("Kobuleti Zone"),
}
do--helpers
Settings.AirplaneType = {
  "KA-50",
  "F-16",
  "F/A 18",
  "A-10",
  "F5-E",
  "Uh-1 Huey",
  
}

Settings.Ranks = {
  "Sergeant",
  "Captain",
  "Sergeant First Class",
  "Lieutenant",
  "Major",
  "First Lieutenant",
  "Staff Sergeant",
}

Settings.Names = {
  "Morgan",
  "Cooper",
  "Phillips",
  "Sanders",
  "Patel",
  "Taylor",
  "Kindrick",
  "Ballard",
  "Anderson",
  "Luther",
  "Riddle",
  "Gardner",
  "Michell",
  "Cole",
  "Strong",
  "Fisher",
  "Sully",
  "Wright",
  "Tilly",
}

Settings.Squads = {
  "Jay Squad",
  "Blue Ray Squad",
  "The Wolf Pack Squad",
  "the Red Squad",
  "The Black Head Squad",
  "The Repers",
  "Red Squad",
  "Alfa Squad",
  "Omega Squad",
  "The Mob Squad",
}
end

Settings.RadioFreqs = {
  46.10,
  46.20,
  46.30,
  46.40,
  46.50,
  46.60,
  46.70,
  46.80,
  46.90,
  47.10,
  47.20,
  47.30,
  47.40,
  47.50,
  47.60,
  47.70,
  47.80,
  47.90,
  47.10,
  47.20,
  47.30,
  47.40,
  47.50,
  47.60,
  47.70,
  47.80,
  47.90,
  48.10,
  48.20,
  48.30,
  48.40,
  48.50,
  48.60,
  48.70,
  48.80,
  48.90,
}