--Base Class
Class = {}
Class.__index = Class

--Default Implementation
function Class:New()
  --BASE:E("new from base! ########")
end

--create a new Class type from our base class
function Class:derive(type)
  local cls = {}
  cls.type = type
  cls.__index = cls
  cls.super = self
  setmetatable(cls,self)
  return cls
end

function Class:__call(...)
  local inst = setmetatable({}, self)
  inst:New(...)
  return inst
end

function Class:get_type()
  return self.type
end

return Class